vte-sharp 0.16.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object A singleton object which catches SIGCHLD signals and converts them into GObject-style "child-exited" signals. Because an application may need to be notified when child processes exit, and because there is only one SIGCHLD handler, the widget relies on a to watch for SIGCHLD notifications and retrieve the exit status of child processes which have exited.
- Constructor
  0.16.0.0
  To be added
  To be added
- Constructor
  0.16.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  0.16.0.0
  a
  Internal constructor
  This is not typically used by C# code.
- Event
  0.16.0.0
  GLib.Signal("child-exited")
  Vte.ChildExitedHandler To be added To be added
- Method
  0.16.0.0
  Vte.Reaper Finds the address of the global object, creating the object if necessary. a To be added
- Property
  0.16.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChildExited", Type=typeof(Vte.Reaper))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.